【活用ガイド】

[English]

JVNDB-2015-000130

アプリカンにおけるアクセス制限不備の脆弱性

概要

株式会社ニューフォリアが提供するアプリカンは、Android および iOS 向けアプリケーションの開発支援プラットフォームです。アプリカンでは、作成されたアプリケーションが接続可能なサイトを制限するホワイトリスト機能が提供されています。アプリカンのホワイトリスト機能には、アプリケーションが URL スキームで起動された際、接続制限が行われない問題が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社スプラウト 末房建太 氏、塩見友規 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


株式会社ニューフォリア
  • アプリカン (Android 版) 1.12.2 およびそれ以前
  • アプリカン (iOS 版) 1.12.2 およびそれ以前 

上記製品で作成されたアプリケーションも本脆弱性の影響を受けます。

[2015年10月14日追記]
本脆弱性への対策版として 2015年9月16日に公表した iOS 版 アプリカン 1.12.2 は対応が不十分であったため、再修正されています。
想定される影響

アプリカンで作成した Android アプリケーションは、アプリケーションの権限で使用可能な任意の API を実行される可能性があります。
アプリカンで作成した iOS アプリケーションは、iOS で使用可能な任意の API を実行される可能性があります。
対策

[リビルドし、アップデートする]
アプリカンを使用したアプリケーションの開発者は、株式会社ニューフォリアが提供する情報をもとに対策済みのランタイムエンジンでリビルドし、アプリをアップデートしてください。
ベンダ情報

株式会社ニューフォリア
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 認可・権限・アクセス制御(CWE-264) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-5632
参考情報

  1. JVN : JVN#73346595
  2. National Vulnerability Database (NVD) : CVE-2015-5632
更新履歴

[2015年09月16日]
  掲載
[2015年10月05日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-5632) を追加
[2015年10月14日]
  影響を受けるシステム:内容を更新